$(function () {
    $('#dd').droppable({
        accept: '#d1,#d3'
    });

    $('.userShortcutDto').checkbox({
        labelPosition: 'after',
        labelAlign: 'left'
    });
});

function dataSave(callback) {
    let userShortcutList = [];
    $("input[name=userShortcutDto]:checked").each(function (item) {
        let userShortcut = {};
        let userShortcutDtoValue = $(this).val();

        userShortcut["resId"] = userShortcutDtoValue;
        userShortcut["indexOrder"] = item;
        userShortcutList.push(userShortcut);
    });

    let loadIndex = layer.load(2);
    $.ajax({
        url: g.ctx + "pc/sys/shortcut/rest/saveConfig",
        method: "post",
        data: {
            userShortcutJson: JSON.stringify(userShortcutList)
        },
        success: function () {
            layer.close(loadIndex);
            callback();
        },
        error: function () {
            layer.alert(claimModel.opt_fail_msg);
        }
    });

}